WarpHost (Catalina Internal API Documentation)
Keywords: org.apache.catalina.connector.warp.WarpHost class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.connector.warp
Class WarpHost

    java.lang.Object
      org.apache.catalina.core.ContainerBase
          org.apache.catalina.core.StandardHost
              org.apache.catalina.connector.warp.WarpHost

All Implemented Interfaces:
  Container, Deployer, Host, Lifecycle, Pipeline

public class WarpHost
extends StandardHost

Nested Class Summary

Nested classes inherited from class org.apache.catalina.core.ContainerBase
`ContainerBase.PrivilegedAddChild`

Field Summary

Fields inherited from class org.apache.catalina.core.ContainerBase
`children, cluster, debug, lifecycle, listeners, loader, logger, manager, mapper, mappers, name, parent, parentClassLoader, pipeline, realm, resources, sm, started, support`

Fields inherited from interface org.apache.catalina.Deployer
`INSTALL_EVENT, PRE_INSTALL_EVENT, REMOVE_EVENT`

Fields inherited from interface org.apache.catalina.Host
`ADD_ALIAS_EVENT, REMOVE_ALIAS_EVENT`

Fields inherited from interface org.apache.catalina.Container
`ADD_CHILD_EVENT, ADD_MAPPER_EVENT, ADD_VALVE_EVENT, REMOVE_CHILD_EVENT, REMOVE_MAPPER_EVENT, REMOVE_VALVE_EVENT`

Fields inherited from interface org.apache.catalina.Lifecycle
`AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, START_EVENT, STOP_EVENT`

Constructor Summary
`WarpHost()`

Method Summary
`Container` | `map(Request request, boolean update)` Return the child Container that should be used to process this Request, based upon its characteristics.

Methods inherited from class org.apache.catalina.core.StandardHost
`addAlias, addChild, addDefaultContext, addDefaultMapper, findAliases, findDeployedApp, findDeployedApps, getAppBase, getAutoDeploy, getConfigClass, getContextClass, getDefaultContext, getErrorReportValveClass, getInfo, getLiveDeploy, getMapperClass, getName, getWorkDir, importDefaultContext, install, install, installDefaultContext, isDeployXML, isUnpackWARs, map, remove, remove, removeAlias, setAppBase, setAutoDeploy, setConfigClass, setContextClass, setDeployXML, setErrorReportValveClass, setLiveDeploy, setMapperClass, setName, setUnpackWARs, setWorkDir, start, start, stop, toString`

Methods inherited from class org.apache.catalina.core.ContainerBase
`addContainerListener, addLifecycleListener, addMapper, addPropertyChangeListener, addValve, findChild, findChildren, findContainerListeners, findLifecycleListeners, findMapper, findMappers, fireContainerEvent, getBasic, getCluster, getDebug, getLoader, getLogger, getManager, getParent, getParentClassLoader, getPipeline, getRealm, getResources, getValves, invoke, log, log, logName, removeChild, removeContainerListener, removeLifecycleListener, removeMapper, removePropertyChangeListener, removeValve, setBasic, setCluster, setDebug, setLoader, setLogger, setManager, setParent, setParentClassLoader, setRealm, setResources, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.catalina.Container
`addContainerListener, addMapper, addPropertyChangeListener, findChild, findChildren, findContainerListeners, findMapper, findMappers, getCluster, getLoader, getLogger, getManager, getParent, getParentClassLoader, getRealm, getResources, invoke, removeChild, removeContainerListener, removeMapper, removePropertyChangeListener, setCluster, setLoader, setLogger, setManager, setParent, setParentClassLoader, setRealm, setResources`

Constructor Detail

### WarpHost

    public WarpHost()

Method Detail

### map

    public Container map(Request request,
                         boolean update)

  Description copied from interface: `Container`
  Return the child Container that should be used to process this Request, based upon its characteristics. If no such child Container can be identified, return `null` instead.

  Specified by:
    `map` in interface `Container`
  Overrides:
    `map` in class `ContainerBase`
  Parameters:
    `request` - Request being processed
    `update` - Update the Request to reflect the mapping selection?

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.